#
# spec file for package ghc-ghc-lib-parser
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name ghc-lib-parser
%global pkgver %{pkg_name}-%{version}
Name:           ghc-%{pkg_name}
Version:        9.8.3.20241022
Release:        bp160.1.7
Summary:        The GHC API, decoupled from GHC versions
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/2.cabal#/%{pkg_name}.cabal
BuildRequires:  alex
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-array-prof
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-binary-prof
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-deepseq-prof
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-exceptions-prof
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-pretty-prof
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-process-prof
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-time-prof
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-transformers-prof
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-unix-prof
BuildRequires:  happy
ExcludeArch:    %{ix86}

%description
A package equivalent to the 'ghc' package, but which can be loaded on many
compiler versions.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%package -n ghc-%{pkg_name}-doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem
BuildArch:      noarch

%description -n ghc-%{pkg_name}-doc
This package provides the Haskell %{pkg_name} library documentation.

%package -n ghc-%{pkg_name}-prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       ghc-%{pkg_name}-devel = %{version}-%{release}
Supplements:    (ghc-%{pkg_name}-devel and ghc-prof)

%description -n ghc-%{pkg_name}-prof
This package provides the Haskell %{pkg_name} profiling library.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%{_datadir}/%{pkg_name}-%{version}/llvm-passes
%{_datadir}/%{pkg_name}-%{version}/llvm-targets
%{_datadir}/%{pkg_name}-%{version}/settings

%files devel -f %{name}-devel.files

%files -n ghc-%{pkg_name}-doc -f ghc-%{pkg_name}-doc.files
%license LICENSE

%files -n ghc-%{pkg_name}-prof -f ghc-%{pkg_name}-prof.files

%changelog
* Tue Oct 22 2024 Peter Simons <psimons@suse.com>
- Update ghc-lib-parser to version 9.8.3.20241022 revision 2.
  Upstream does not provide a change log file.
* Fri Feb 23 2024 Peter Simons <psimons@suse.com>
- Update ghc-lib-parser to version 9.8.2.20240223.
  Upstream does not provide a change log file.
* Tue Jan  9 2024 Peter Simons <psimons@suse.com>
- Update ghc-lib-parser to version 9.6.4.20240109.
  Upstream does not provide a change log file.
* Tue Nov 21 2023 Peter Simons <psimons@suse.com>
- Update ghc-lib-parser to version 9.6.3.20231121.
  Upstream does not provide a change log file.
* Sat Oct 14 2023 Peter Simons <psimons@suse.com>
- Update ghc-lib-parser to version 9.6.3.20231014.
  Upstream does not provide a change log file.
* Sat Aug 26 2023 Peter Simons <psimons@suse.com>
- Update ghc-lib-parser to version 9.4.7.20230826.
  Upstream does not provide a change log file.
* Tue Aug  8 2023 Peter Simons <psimons@suse.com>
- Update ghc-lib-parser to version 9.4.6.20230808.
  Upstream does not provide a change log file.
* Sun Apr 30 2023 Peter Simons <psimons@suse.com>
- Update ghc-lib-parser to version 9.4.5.20230430.
  Upstream does not provide a change log file.
* Thu Mar 30 2023 Peter Simons <psimons@suse.com>
- Updated spec file to conform with ghc-rpm-macros-2.5.2.
* Sun Dec 25 2022 Peter Simons <psimons@suse.com>
- Add ghc-lib-parser at version 9.4.4.20221225.
